# Uses of Class
org.apache.lucene.util.hnsw.HnswGraphSearcher

Packages that use HnswGraphSearcher
Package
Description
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

## Uses of HnswGraphSearcher in org.apache.lucene.util.hnsw

Constructors in org.apache.lucene.util.hnsw with parameters of type HnswGraphSearcher
Modifier
Constructor
Description
`protected`
`HnswGraphBuilder(RandomVectorScorerSupplier scorerSupplier, int M, int beamWidth, long seed, OnHeapHnswGraph hnsw, org.apache.lucene.util.hnsw.HnswLock hnswLock, HnswGraphSearcher graphSearcher)`
Reads all the vectors from vector values, builds a graph connecting them by their dense ordinals, using the given hyperparameter settings, and returns the resulting graph.